# Uses of Class
org.eclipse.birt.report.model.api.elements.structures.SortKey

Packages that use SortKey
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.

## Uses of SortKey in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return SortKey
Modifier and Type
Method
Description
`static SortKey`
StructureFactory.`createSortKey()`
Creates an empty sort key structure.

## Uses of SortKey in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl with parameters of type SortKey
Modifier and Type
Method
Description
`ISortCondition`
SimpleElementFactory.`createSortCondition(SortKey sort)`

## Uses of SortKey in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi with parameters of type SortKey
Modifier and Type
Method
Description
`ISortCondition`
ISimpleElementFactory.`createSortCondition(SortKey sort)`
Creates the sort structure.